Main Page Class Hierarchy Compound List File List Compound Members File Members

# truetime.c File Reference

`#include <os2.h>`
`#include <bsedos.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <process.h>`
`#include <stddef.h>`
`#include <math.h>`
`#include <truetime.h>`

Go to the source code of this file.

## Defines
#define | INCL_DOSFILEMGR
#define | INCL_DOSPROCESS
#define | INCL_DOSDEVICES
#define | INCL_DOSPROFILE
#define | TB_CATEGORY 0x80
#define | TB_FREEZE 0x41
#define | TB_RELEASE 0x42
#define | TB_GET_TIME 0X43
#define | READ_READY 0x80
## Functions
int | OpenTrueTime (int MaxPassCount)
int | CloseTrueTime (void)
BOOL | FreezeTime (void)
BOOL | ReleaseTime (void)
int | GetTime (TrueTimeStruct *pTrueTime)
int | GetTrueTime (TrueTimeStruct *pTrueTime)
## Variables
int | MaxPassCnt
int | MaxPass = 0
char | buffer [32]
char * | pszFileName
ULONG | ulActionTaken
ULONG | ulFileAttribute
ULONG | ulOpenFlag
ULONG | ulOpenMode
ULONG | ulFileSize
HFILE | hFileHandle
ULONG | ulCategory
ULONG | ulFunction
VOID * | pParmList
ULONG | ulParmLengthMax
ULONG | ulParmLengthInOut
ULONG | ulDataLengthMax
ULONG | ulDataLengthInOut
APIRET | rc

## Define Documentation

#define INCL_DOSDEVICES

| Definition at line 26 of file truetime.c.

#define INCL_DOSFILEMGR

| Definition at line 24 of file truetime.c.

#define INCL_DOSPROCESS

| Definition at line 25 of file truetime.c.

#define INCL_DOSPROFILE

| Definition at line 27 of file truetime.c.

#define READ_READY 0x80

| Definition at line 42 of file truetime.c. Referenced by GetTime().

#define TB_CATEGORY 0x80

| Definition at line 38 of file truetime.c. Referenced by OpenTrueTime().

#define TB_FREEZE 0x41

| Definition at line 39 of file truetime.c. Referenced by FreezeTime().

#define TB_GET_TIME 0X43

| Definition at line 41 of file truetime.c. Referenced by GetTime().

#define TB_RELEASE 0x42

| Definition at line 40 of file truetime.c. Referenced by ReleaseTime().

## Function Documentation

int CloseTrueTime | ( | void |  | ) |

| Definition at line 106 of file truetime.c. References MaxPass.

BOOL FreezeTime | ( | void |  | ) |

| Definition at line 113 of file truetime.c. References FALSE, pParmList, rc, TB_FREEZE, TRUE, ulDataLengthInOut, ulDataLengthMax, ulFunction, ulParmLengthInOut, and ulParmLengthMax. Referenced by GetTrueTime().

int GetTime | ( | TrueTimeStruct * | pTrueTime | ) |

| Definition at line 166 of file truetime.c. References _TrueTimeStruct::DataReady, _TrueTimeStruct::HundredsDays, _TrueTimeStruct::HundredsMillisecs, MaxPass, MaxPassCnt, pParmList, rc, READ_READY, _TrueTimeStruct::Status, TB_GET_TIME, _TrueTimeStruct::TensDays, _TrueTimeStruct::TensHours, _TrueTimeStruct::TensMillisecs, _TrueTimeStruct::TensMinutes, _TrueTimeStruct::TensSeconds, ulDataLengthInOut, ulDataLengthMax, ulFunction, ulParmLengthInOut, ulParmLengthMax, _TrueTimeStruct::UnitDays, _TrueTimeStruct::UnitHours, _TrueTimeStruct::UnitMillisecs, _TrueTimeStruct::UnitMinutes, and _TrueTimeStruct::UnitSeconds. Referenced by GetTrueTime().

int GetTrueTime | ( | TrueTimeStruct * | pTrueTime | ) |

| Definition at line 223 of file truetime.c. References FreezeTime(), GetTime(), rc, and ReleaseTime().

int OpenTrueTime | ( | int | MaxPassCount | ) |

| Definition at line 75 of file truetime.c. References MaxPassCnt, pszFileName, rc, TB_CATEGORY, ulCategory, ulFileAttribute, ulOpenFlag, and ulOpenMode.

BOOL ReleaseTime | ( | void |  | ) |

| Definition at line 142 of file truetime.c. References FALSE, rc, TB_RELEASE, TRUE, and ulFunction. Referenced by GetTrueTime().

## Variable Documentation

char buffer[32]`[static]`

| Definition at line 46 of file truetime.c.

HFILE hFileHandle`[static]`

| Definition at line 49 of file truetime.c.

int MaxPass = 0`[static]`

| Definition at line 45 of file truetime.c. Referenced by CloseTrueTime(), and GetTime().

int MaxPassCnt`[static]`

| Definition at line 44 of file truetime.c. Referenced by GetTime(), and OpenTrueTime().

VOID* pParmList`[static]`

| Definition at line 52 of file truetime.c. Referenced by FreezeTime(), and GetTime().

char* pszFileName`[static]`

| Definition at line 47 of file truetime.c. Referenced by OpenTrueTime().

APIRET rc`[static]`

| Definition at line 57 of file truetime.c. Referenced by FreezeTime(), GetTime(), GetTrueTime(), OpenTrueTime(), and ReleaseTime().

ULONG ulActionTaken`[static]`

| Definition at line 48 of file truetime.c.

ULONG ulCategory`[static]`

| Definition at line 50 of file truetime.c. Referenced by OpenTrueTime().

ULONG ulDataLengthInOut`[static]`

| Definition at line 56 of file truetime.c. Referenced by FreezeTime(), and GetTime().

ULONG ulDataLengthMax`[static]`

| Definition at line 55 of file truetime.c. Referenced by FreezeTime(), and GetTime().

ULONG ulFileAttribute`[static]`

| Definition at line 48 of file truetime.c. Referenced by OpenTrueTime().

ULONG ulFileSize`[static]`

| Definition at line 48 of file truetime.c.

ULONG ulFunction`[static]`

| Definition at line 51 of file truetime.c. Referenced by FreezeTime(), GetTime(), and ReleaseTime().

ULONG ulOpenFlag`[static]`

| Definition at line 48 of file truetime.c. Referenced by OpenTrueTime().

ULONG ulOpenMode`[static]`

| Definition at line 48 of file truetime.c. Referenced by OpenTrueTime().

ULONG ulParmLengthInOut`[static]`

| Definition at line 54 of file truetime.c. Referenced by FreezeTime(), and GetTime().

ULONG ulParmLengthMax`[static]`

| Definition at line 53 of file truetime.c. Referenced by FreezeTime(), and GetTime().